merge trunk
[bpt/emacs.git] / m4 / gnulib-comp.m4
1 # DO NOT EDIT! GENERATED AUTOMATICALLY!
2 # Copyright (C) 2002-2013 Free Software Foundation, Inc.
3 #
4 # This file is free software; you can redistribute it and/or modify
5 # it under the terms of the GNU General Public License as published by
6 # the Free Software Foundation; either version 3 of the License, or
7 # (at your option) any later version.
8 #
9 # This file is distributed in the hope that it will be useful,
10 # but WITHOUT ANY WARRANTY; without even the implied warranty of
11 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
12 # GNU General Public License for more details.
13 #
14 # You should have received a copy of the GNU General Public License
15 # along with this file. If not, see <http://www.gnu.org/licenses/>.
16 #
17 # As a special exception to the GNU General Public License,
18 # this file may be distributed as part of a program that
19 # contains a configuration script generated by Autoconf, under
20 # the same distribution terms as the rest of that program.
21 #
22 # Generated by gnulib-tool.
23 #
24 # This file represents the compiled summary of the specification in
25 # gnulib-cache.m4. It lists the computed macro invocations that need
26 # to be invoked from configure.ac.
27 # In projects that use version control, this file can be treated like
28 # other built files.
29
30
31 # This macro should be invoked from ./configure.ac, in the section
32 # "Checks for programs", right after AC_PROG_CC, and certainly before
33 # any checks for libraries, header files, types and library functions.
34 AC_DEFUN([gl_EARLY],
35 [
36 m4_pattern_forbid([^gl_[A-Z]])dnl the gnulib macro namespace
37 m4_pattern_allow([^gl_ES$])dnl a valid locale name
38 m4_pattern_allow([^gl_LIBOBJS$])dnl a variable
39 m4_pattern_allow([^gl_LTLIBOBJS$])dnl a variable
40 AC_REQUIRE([gl_PROG_AR_RANLIB])
41 # Code from module alloca-opt:
42 # Code from module allocator:
43 # Code from module at-internal:
44 # Code from module c-ctype:
45 # Code from module c-strcase:
46 # Code from module careadlinkat:
47 # Code from module clock-time:
48 # Code from module close-stream:
49 # Code from module crypto/md5:
50 # Code from module crypto/sha1:
51 # Code from module crypto/sha256:
52 # Code from module crypto/sha512:
53 # Code from module dirent:
54 # Code from module dosname:
55 # Code from module dtoastr:
56 # Code from module dtotimespec:
57 # Code from module dup2:
58 # Code from module environ:
59 # Code from module euidaccess:
60 # Code from module execinfo:
61 # Code from module extensions:
62 AC_REQUIRE([gl_USE_SYSTEM_EXTENSIONS])
63 # Code from module extern-inline:
64 # Code from module faccessat:
65 # Code from module fcntl-h:
66 # Code from module fdatasync:
67 # Code from module fdopendir:
68 # Code from module filemode:
69 # Code from module fpending:
70 # Code from module fstatat:
71 # Code from module fsync:
72 # Code from module getgroups:
73 # Code from module getloadavg:
74 # Code from module getopt-gnu:
75 # Code from module getopt-posix:
76 # Code from module gettext-h:
77 # Code from module gettime:
78 # Code from module gettimeofday:
79 # Code from module group-member:
80 # Code from module ignore-value:
81 # Code from module include_next:
82 # Code from module intprops:
83 # Code from module inttypes-incomplete:
84 # Code from module largefile:
85 AC_REQUIRE([AC_SYS_LARGEFILE])
86 # Code from module lstat:
87 # Code from module manywarnings:
88 # Code from module memrchr:
89 # Code from module mktime:
90 # Code from module multiarch:
91 # Code from module nocrash:
92 # Code from module openat-h:
93 # Code from module pathmax:
94 # Code from module pselect:
95 # Code from module pthread_sigmask:
96 # Code from module putenv:
97 # Code from module readlink:
98 # Code from module readlinkat:
99 # Code from module root-uid:
100 # Code from module sig2str:
101 # Code from module signal-h:
102 # Code from module snippet/_Noreturn:
103 # Code from module snippet/arg-nonnull:
104 # Code from module snippet/c++defs:
105 # Code from module snippet/warn-on-use:
106 # Code from module socklen:
107 # Code from module ssize_t:
108 # Code from module stat:
109 # Code from module stat-time:
110 # Code from module stdalign:
111 # Code from module stdarg:
112 dnl Some compilers (e.g., AIX 5.3 cc) need to be in c99 mode
113 dnl for the builtin va_copy to work. With Autoconf 2.60 or later,
114 dnl gl_PROG_CC_C99 arranges for this. With older Autoconf gl_PROG_CC_C99
115 dnl shouldn't hurt, though installers are on their own to set c99 mode.
116 gl_PROG_CC_C99
117 # Code from module stdbool:
118 # Code from module stddef:
119 # Code from module stdint:
120 # Code from module stdio:
121 # Code from module stdlib:
122 # Code from module strftime:
123 # Code from module string:
124 # Code from module strtoimax:
125 # Code from module strtoll:
126 # Code from module strtoull:
127 # Code from module strtoumax:
128 # Code from module symlink:
129 # Code from module sys_select:
130 # Code from module sys_stat:
131 # Code from module sys_time:
132 # Code from module time:
133 # Code from module time_r:
134 # Code from module timer-time:
135 # Code from module timespec:
136 # Code from module timespec-add:
137 # Code from module timespec-sub:
138 # Code from module u64:
139 # Code from module unistd:
140 # Code from module unsetenv:
141 # Code from module utimens:
142 # Code from module verify:
143 # Code from module warnings:
144 # Code from module xalloc-oversized:
145 ])
146
147 # This macro should be invoked from ./configure.ac, in the section
148 # "Check for header files, types and library functions".
149 AC_DEFUN([gl_INIT],
150 [
151 AM_CONDITIONAL([GL_COND_LIBTOOL], [false])
152 gl_cond_libtool=false
153 gl_libdeps=
154 gl_ltlibdeps=
155 gl_m4_base='m4'
156 m4_pushdef([AC_LIBOBJ], m4_defn([gl_LIBOBJ]))
157 m4_pushdef([AC_REPLACE_FUNCS], m4_defn([gl_REPLACE_FUNCS]))
158 m4_pushdef([AC_LIBSOURCES], m4_defn([gl_LIBSOURCES]))
159 m4_pushdef([gl_LIBSOURCES_LIST], [])
160 m4_pushdef([gl_LIBSOURCES_DIR], [])
161 gl_COMMON
162 gl_source_base='lib'
163 gl_FUNC_ALLOCA
164 AC_CHECK_FUNCS_ONCE([readlinkat])
165 gl_CLOCK_TIME
166 gl_CLOSE_STREAM
167 gl_MODULE_INDICATOR([close-stream])
168 gl_MD5
169 gl_SHA1
170 gl_SHA256
171 gl_SHA512
172 gl_DIRENT_H
173 AC_REQUIRE([gl_C99_STRTOLD])
174 gl_FUNC_DUP2
175 if test $HAVE_DUP2 = 0 || test $REPLACE_DUP2 = 1; then
176 AC_LIBOBJ([dup2])
177 gl_PREREQ_DUP2
178 fi
179 gl_UNISTD_MODULE_INDICATOR([dup2])
180 gl_ENVIRON
181 gl_UNISTD_MODULE_INDICATOR([environ])
182 gl_EXECINFO_H
183 AC_REQUIRE([gl_EXTERN_INLINE])
184 gl_FUNC_FACCESSAT
185 if test $HAVE_FACCESSAT = 0; then
186 AC_LIBOBJ([faccessat])
187 gl_PREREQ_FACCESSAT
188 fi
189 gl_MODULE_INDICATOR([faccessat])
190 gl_UNISTD_MODULE_INDICATOR([faccessat])
191 gl_FCNTL_H
192 gl_FUNC_FDATASYNC
193 if test $HAVE_FDATASYNC = 0; then
194 AC_LIBOBJ([fdatasync])
195 fi
196 gl_UNISTD_MODULE_INDICATOR([fdatasync])
197 gl_FUNC_FDOPENDIR
198 if test $HAVE_FDOPENDIR = 0 || test $REPLACE_FDOPENDIR = 1; then
199 AC_LIBOBJ([fdopendir])
200 fi
201 gl_DIRENT_MODULE_INDICATOR([fdopendir])
202 gl_MODULE_INDICATOR([fdopendir])
203 gl_FILEMODE
204 gl_FUNC_FPENDING
205 if test $ac_cv_func___fpending = no; then
206 AC_LIBOBJ([fpending])
207 gl_PREREQ_FPENDING
208 fi
209 gl_FUNC_FSTATAT
210 if test $HAVE_FSTATAT = 0 || test $REPLACE_FSTATAT = 1; then
211 AC_LIBOBJ([fstatat])
212 fi
213 gl_SYS_STAT_MODULE_INDICATOR([fstatat])
214 gl_FUNC_FSYNC
215 if test $HAVE_FSYNC = 0; then
216 AC_LIBOBJ([fsync])
217 gl_PREREQ_FSYNC
218 fi
219 gl_UNISTD_MODULE_INDICATOR([fsync])
220 gl_GETLOADAVG
221 if test $HAVE_GETLOADAVG = 0; then
222 AC_LIBOBJ([getloadavg])
223 gl_PREREQ_GETLOADAVG
224 fi
225 gl_STDLIB_MODULE_INDICATOR([getloadavg])
226 gl_FUNC_GETOPT_GNU
227 if test $REPLACE_GETOPT = 1; then
228 AC_LIBOBJ([getopt])
229 AC_LIBOBJ([getopt1])
230 gl_PREREQ_GETOPT
231 dnl Arrange for unistd.h to include getopt.h.
232 GNULIB_GL_UNISTD_H_GETOPT=1
233 fi
234 AC_SUBST([GNULIB_GL_UNISTD_H_GETOPT])
235 gl_MODULE_INDICATOR_FOR_TESTS([getopt-gnu])
236 gl_FUNC_GETOPT_POSIX
237 if test $REPLACE_GETOPT = 1; then
238 AC_LIBOBJ([getopt])
239 AC_LIBOBJ([getopt1])
240 gl_PREREQ_GETOPT
241 dnl Arrange for unistd.h to include getopt.h.
242 GNULIB_GL_UNISTD_H_GETOPT=1
243 fi
244 AC_SUBST([GNULIB_GL_UNISTD_H_GETOPT])
245 gl_GETTIME
246 gl_FUNC_GETTIMEOFDAY
247 if test $HAVE_GETTIMEOFDAY = 0 || test $REPLACE_GETTIMEOFDAY = 1; then
248 AC_LIBOBJ([gettimeofday])
249 gl_PREREQ_GETTIMEOFDAY
250 fi
251 gl_SYS_TIME_MODULE_INDICATOR([gettimeofday])
252 gl_INTTYPES_INCOMPLETE
253 AC_REQUIRE([gl_LARGEFILE])
254 gl_FUNC_LSTAT
255 if test $REPLACE_LSTAT = 1; then
256 AC_LIBOBJ([lstat])
257 gl_PREREQ_LSTAT
258 fi
259 gl_SYS_STAT_MODULE_INDICATOR([lstat])
260 gl_FUNC_MEMRCHR
261 if test $ac_cv_func_memrchr = no; then
262 AC_LIBOBJ([memrchr])
263 gl_PREREQ_MEMRCHR
264 fi
265 gl_STRING_MODULE_INDICATOR([memrchr])
266 gl_FUNC_MKTIME
267 if test $REPLACE_MKTIME = 1; then
268 AC_LIBOBJ([mktime])
269 gl_PREREQ_MKTIME
270 fi
271 gl_TIME_MODULE_INDICATOR([mktime])
272 gl_MULTIARCH
273 gl_FUNC_PSELECT
274 if test $HAVE_PSELECT = 0 || test $REPLACE_PSELECT = 1; then
275 AC_LIBOBJ([pselect])
276 fi
277 gl_SYS_SELECT_MODULE_INDICATOR([pselect])
278 gl_FUNC_PTHREAD_SIGMASK
279 if test $HAVE_PTHREAD_SIGMASK = 0 || test $REPLACE_PTHREAD_SIGMASK = 1; then
280 AC_LIBOBJ([pthread_sigmask])
281 gl_PREREQ_PTHREAD_SIGMASK
282 fi
283 gl_SIGNAL_MODULE_INDICATOR([pthread_sigmask])
284 gl_FUNC_PUTENV
285 if test $REPLACE_PUTENV = 1; then
286 AC_LIBOBJ([putenv])
287 gl_PREREQ_PUTENV
288 fi
289 gl_STDLIB_MODULE_INDICATOR([putenv])
290 gl_FUNC_READLINK
291 if test $HAVE_READLINK = 0 || test $REPLACE_READLINK = 1; then
292 AC_LIBOBJ([readlink])
293 gl_PREREQ_READLINK
294 fi
295 gl_UNISTD_MODULE_INDICATOR([readlink])
296 gl_FUNC_READLINKAT
297 if test $HAVE_READLINKAT = 0; then
298 AC_LIBOBJ([readlinkat])
299 fi
300 gl_UNISTD_MODULE_INDICATOR([readlinkat])
301 gl_FUNC_SIG2STR
302 if test $ac_cv_func_sig2str = no; then
303 AC_LIBOBJ([sig2str])
304 gl_PREREQ_SIG2STR
305 fi
306 gl_SIGNAL_H
307 gl_TYPE_SOCKLEN_T
308 gt_TYPE_SSIZE_T
309 gl_STAT_TIME
310 gl_STAT_BIRTHTIME
311 gl_STDALIGN_H
312 gl_STDARG_H
313 AM_STDBOOL_H
314 gl_STDDEF_H
315 gl_STDINT_H
316 gl_STDIO_H
317 gl_STDLIB_H
318 gl_FUNC_GNU_STRFTIME
319 gl_HEADER_STRING_H
320 gl_FUNC_STRTOIMAX
321 if test $HAVE_STRTOIMAX = 0 || test $REPLACE_STRTOIMAX = 1; then
322 AC_LIBOBJ([strtoimax])
323 gl_PREREQ_STRTOIMAX
324 fi
325 gl_INTTYPES_MODULE_INDICATOR([strtoimax])
326 gl_FUNC_STRTOUMAX
327 if test $ac_cv_func_strtoumax = no; then
328 AC_LIBOBJ([strtoumax])
329 gl_PREREQ_STRTOUMAX
330 fi
331 gl_INTTYPES_MODULE_INDICATOR([strtoumax])
332 gl_FUNC_SYMLINK
333 if test $HAVE_SYMLINK = 0 || test $REPLACE_SYMLINK = 1; then
334 AC_LIBOBJ([symlink])
335 fi
336 gl_UNISTD_MODULE_INDICATOR([symlink])
337 gl_HEADER_SYS_SELECT
338 AC_PROG_MKDIR_P
339 gl_HEADER_SYS_STAT_H
340 AC_PROG_MKDIR_P
341 gl_HEADER_SYS_TIME_H
342 AC_PROG_MKDIR_P
343 gl_HEADER_TIME_H
344 gl_TIME_R
345 if test $HAVE_LOCALTIME_R = 0 || test $REPLACE_LOCALTIME_R = 1; then
346 AC_LIBOBJ([time_r])
347 gl_PREREQ_TIME_R
348 fi
349 gl_TIME_MODULE_INDICATOR([time_r])
350 gl_TIMER_TIME
351 gl_TIMESPEC
352 gl_UNISTD_H
353 gl_FUNC_UNSETENV
354 if test $HAVE_UNSETENV = 0 || test $REPLACE_UNSETENV = 1; then
355 AC_LIBOBJ([unsetenv])
356 gl_PREREQ_UNSETENV
357 fi
358 gl_STDLIB_MODULE_INDICATOR([unsetenv])
359 gl_UTIMENS
360 gl_gnulib_enabled_260941c0e5dc67ec9e87d1fb321c300b=false
361 gl_gnulib_enabled_dosname=false
362 gl_gnulib_enabled_euidaccess=false
363 gl_gnulib_enabled_getgroups=false
364 gl_gnulib_enabled_be453cec5eecf5731a274f2de7f2db36=false
365 gl_gnulib_enabled_a9786850e999ae65a836a6041e8e5ed1=false
366 gl_gnulib_enabled_03e0aaad4cb89ca757653bd367a6ccb7=false
367 gl_gnulib_enabled_pathmax=false
368 gl_gnulib_enabled_6099e9737f757db36c47fa9d9f02e88c=false
369 gl_gnulib_enabled_stat=false
370 gl_gnulib_enabled_strtoll=false
371 gl_gnulib_enabled_strtoull=false
372 gl_gnulib_enabled_verify=false
373 gl_gnulib_enabled_682e609604ccaac6be382e4ee3a4eaec=false
374 func_gl_gnulib_m4code_260941c0e5dc67ec9e87d1fb321c300b ()
375 {
376 if ! $gl_gnulib_enabled_260941c0e5dc67ec9e87d1fb321c300b; then
377 AC_LIBOBJ([openat-proc])
378 gl_gnulib_enabled_260941c0e5dc67ec9e87d1fb321c300b=true
379 fi
380 }
381 func_gl_gnulib_m4code_dosname ()
382 {
383 if ! $gl_gnulib_enabled_dosname; then
384 gl_gnulib_enabled_dosname=true
385 fi
386 }
387 func_gl_gnulib_m4code_euidaccess ()
388 {
389 if ! $gl_gnulib_enabled_euidaccess; then
390 gl_FUNC_EUIDACCESS
391 if test $HAVE_EUIDACCESS = 0; then
392 AC_LIBOBJ([euidaccess])
393 gl_PREREQ_EUIDACCESS
394 fi
395 gl_UNISTD_MODULE_INDICATOR([euidaccess])
396 gl_gnulib_enabled_euidaccess=true
397 if test $HAVE_EUIDACCESS = 0; then
398 func_gl_gnulib_m4code_a9786850e999ae65a836a6041e8e5ed1
399 fi
400 func_gl_gnulib_m4code_6099e9737f757db36c47fa9d9f02e88c
401 if test $HAVE_EUIDACCESS = 0; then
402 func_gl_gnulib_m4code_stat
403 fi
404 fi
405 }
406 func_gl_gnulib_m4code_getgroups ()
407 {
408 if ! $gl_gnulib_enabled_getgroups; then
409 gl_FUNC_GETGROUPS
410 if test $HAVE_GETGROUPS = 0 || test $REPLACE_GETGROUPS = 1; then
411 AC_LIBOBJ([getgroups])
412 fi
413 gl_UNISTD_MODULE_INDICATOR([getgroups])
414 gl_gnulib_enabled_getgroups=true
415 fi
416 }
417 func_gl_gnulib_m4code_be453cec5eecf5731a274f2de7f2db36 ()
418 {
419 if ! $gl_gnulib_enabled_be453cec5eecf5731a274f2de7f2db36; then
420 AC_SUBST([LIBINTL])
421 AC_SUBST([LTLIBINTL])
422 gl_gnulib_enabled_be453cec5eecf5731a274f2de7f2db36=true
423 fi
424 }
425 func_gl_gnulib_m4code_a9786850e999ae65a836a6041e8e5ed1 ()
426 {
427 if ! $gl_gnulib_enabled_a9786850e999ae65a836a6041e8e5ed1; then
428 gl_FUNC_GROUP_MEMBER
429 if test $HAVE_GROUP_MEMBER = 0; then
430 AC_LIBOBJ([group-member])
431 gl_PREREQ_GROUP_MEMBER
432 fi
433 gl_UNISTD_MODULE_INDICATOR([group-member])
434 gl_gnulib_enabled_a9786850e999ae65a836a6041e8e5ed1=true
435 if test $HAVE_GROUP_MEMBER = 0; then
436 func_gl_gnulib_m4code_getgroups
437 fi
438 if test $HAVE_GROUP_MEMBER = 0; then
439 func_gl_gnulib_m4code_682e609604ccaac6be382e4ee3a4eaec
440 fi
441 fi
442 }
443 func_gl_gnulib_m4code_03e0aaad4cb89ca757653bd367a6ccb7 ()
444 {
445 if ! $gl_gnulib_enabled_03e0aaad4cb89ca757653bd367a6ccb7; then
446 gl_gnulib_enabled_03e0aaad4cb89ca757653bd367a6ccb7=true
447 fi
448 }
449 func_gl_gnulib_m4code_pathmax ()
450 {
451 if ! $gl_gnulib_enabled_pathmax; then
452 gl_PATHMAX
453 gl_gnulib_enabled_pathmax=true
454 fi
455 }
456 func_gl_gnulib_m4code_6099e9737f757db36c47fa9d9f02e88c ()
457 {
458 if ! $gl_gnulib_enabled_6099e9737f757db36c47fa9d9f02e88c; then
459 gl_gnulib_enabled_6099e9737f757db36c47fa9d9f02e88c=true
460 fi
461 }
462 func_gl_gnulib_m4code_stat ()
463 {
464 if ! $gl_gnulib_enabled_stat; then
465 gl_FUNC_STAT
466 if test $REPLACE_STAT = 1; then
467 AC_LIBOBJ([stat])
468 gl_PREREQ_STAT
469 fi
470 gl_SYS_STAT_MODULE_INDICATOR([stat])
471 gl_gnulib_enabled_stat=true
472 if test $REPLACE_STAT = 1; then
473 func_gl_gnulib_m4code_dosname
474 fi
475 if test $REPLACE_STAT = 1; then
476 func_gl_gnulib_m4code_pathmax
477 fi
478 if test $REPLACE_STAT = 1; then
479 func_gl_gnulib_m4code_verify
480 fi
481 fi
482 }
483 func_gl_gnulib_m4code_strtoll ()
484 {
485 if ! $gl_gnulib_enabled_strtoll; then
486 gl_FUNC_STRTOLL
487 if test $HAVE_STRTOLL = 0; then
488 AC_LIBOBJ([strtoll])
489 gl_PREREQ_STRTOLL
490 fi
491 gl_STDLIB_MODULE_INDICATOR([strtoll])
492 gl_gnulib_enabled_strtoll=true
493 fi
494 }
495 func_gl_gnulib_m4code_strtoull ()
496 {
497 if ! $gl_gnulib_enabled_strtoull; then
498 gl_FUNC_STRTOULL
499 if test $HAVE_STRTOULL = 0; then
500 AC_LIBOBJ([strtoull])
501 gl_PREREQ_STRTOULL
502 fi
503 gl_STDLIB_MODULE_INDICATOR([strtoull])
504 gl_gnulib_enabled_strtoull=true
505 fi
506 }
507 func_gl_gnulib_m4code_verify ()
508 {
509 if ! $gl_gnulib_enabled_verify; then
510 gl_gnulib_enabled_verify=true
511 fi
512 }
513 func_gl_gnulib_m4code_682e609604ccaac6be382e4ee3a4eaec ()
514 {
515 if ! $gl_gnulib_enabled_682e609604ccaac6be382e4ee3a4eaec; then
516 gl_gnulib_enabled_682e609604ccaac6be382e4ee3a4eaec=true
517 fi
518 }
519 if test $HAVE_FACCESSAT = 0; then
520 func_gl_gnulib_m4code_260941c0e5dc67ec9e87d1fb321c300b
521 fi
522 if test $HAVE_FACCESSAT = 0; then
523 func_gl_gnulib_m4code_dosname
524 fi
525 if test $HAVE_FACCESSAT = 0; then
526 func_gl_gnulib_m4code_euidaccess
527 fi
528 if test $HAVE_FACCESSAT = 0; then
529 func_gl_gnulib_m4code_03e0aaad4cb89ca757653bd367a6ccb7
530 fi
531 if test $HAVE_FDOPENDIR = 0; then
532 func_gl_gnulib_m4code_260941c0e5dc67ec9e87d1fb321c300b
533 fi
534 if test $HAVE_FSTATAT = 0 || test $REPLACE_FSTATAT = 1; then
535 func_gl_gnulib_m4code_260941c0e5dc67ec9e87d1fb321c300b
536 fi
537 if test $HAVE_FSTATAT = 0 || test $REPLACE_FSTATAT = 1; then
538 func_gl_gnulib_m4code_dosname
539 fi
540 if test $HAVE_FSTATAT = 0 || test $REPLACE_FSTATAT = 1; then
541 func_gl_gnulib_m4code_03e0aaad4cb89ca757653bd367a6ccb7
542 fi
543 if test $REPLACE_GETOPT = 1; then
544 func_gl_gnulib_m4code_be453cec5eecf5731a274f2de7f2db36
545 fi
546 if test $REPLACE_LSTAT = 1; then
547 func_gl_gnulib_m4code_dosname
548 fi
549 if test $REPLACE_LSTAT = 1; then
550 func_gl_gnulib_m4code_stat
551 fi
552 if test $HAVE_READLINK = 0 || test $REPLACE_READLINK = 1; then
553 func_gl_gnulib_m4code_stat
554 fi
555 if test $HAVE_READLINKAT = 0; then
556 func_gl_gnulib_m4code_260941c0e5dc67ec9e87d1fb321c300b
557 fi
558 if test $HAVE_READLINKAT = 0; then
559 func_gl_gnulib_m4code_dosname
560 fi
561 if test $HAVE_READLINKAT = 0; then
562 func_gl_gnulib_m4code_03e0aaad4cb89ca757653bd367a6ccb7
563 fi
564 if { test $HAVE_STRTOIMAX = 0 || test $REPLACE_STRTOIMAX = 1; } && test $ac_cv_type_long_long_int = yes; then
565 func_gl_gnulib_m4code_strtoll
566 fi
567 if test $HAVE_STRTOIMAX = 0 || test $REPLACE_STRTOIMAX = 1; then
568 func_gl_gnulib_m4code_verify
569 fi
570 if test $ac_cv_func_strtoumax = no && test $ac_cv_type_unsigned_long_long_int = yes; then
571 func_gl_gnulib_m4code_strtoull
572 fi
573 if test $ac_cv_func_strtoumax = no; then
574 func_gl_gnulib_m4code_verify
575 fi
576 m4_pattern_allow([^gl_GNULIB_ENABLED_])
577 AM_CONDITIONAL([gl_GNULIB_ENABLED_260941c0e5dc67ec9e87d1fb321c300b], [$gl_gnulib_enabled_260941c0e5dc67ec9e87d1fb321c300b])
578 AM_CONDITIONAL([gl_GNULIB_ENABLED_dosname], [$gl_gnulib_enabled_dosname])
579 AM_CONDITIONAL([gl_GNULIB_ENABLED_euidaccess], [$gl_gnulib_enabled_euidaccess])
580 AM_CONDITIONAL([gl_GNULIB_ENABLED_getgroups], [$gl_gnulib_enabled_getgroups])
581 AM_CONDITIONAL([gl_GNULIB_ENABLED_be453cec5eecf5731a274f2de7f2db36], [$gl_gnulib_enabled_be453cec5eecf5731a274f2de7f2db36])
582 AM_CONDITIONAL([gl_GNULIB_ENABLED_a9786850e999ae65a836a6041e8e5ed1], [$gl_gnulib_enabled_a9786850e999ae65a836a6041e8e5ed1])
583 AM_CONDITIONAL([gl_GNULIB_ENABLED_03e0aaad4cb89ca757653bd367a6ccb7], [$gl_gnulib_enabled_03e0aaad4cb89ca757653bd367a6ccb7])
584 AM_CONDITIONAL([gl_GNULIB_ENABLED_pathmax], [$gl_gnulib_enabled_pathmax])
585 AM_CONDITIONAL([gl_GNULIB_ENABLED_6099e9737f757db36c47fa9d9f02e88c], [$gl_gnulib_enabled_6099e9737f757db36c47fa9d9f02e88c])
586 AM_CONDITIONAL([gl_GNULIB_ENABLED_stat], [$gl_gnulib_enabled_stat])
587 AM_CONDITIONAL([gl_GNULIB_ENABLED_strtoll], [$gl_gnulib_enabled_strtoll])
588 AM_CONDITIONAL([gl_GNULIB_ENABLED_strtoull], [$gl_gnulib_enabled_strtoull])
589 AM_CONDITIONAL([gl_GNULIB_ENABLED_verify], [$gl_gnulib_enabled_verify])
590 AM_CONDITIONAL([gl_GNULIB_ENABLED_682e609604ccaac6be382e4ee3a4eaec], [$gl_gnulib_enabled_682e609604ccaac6be382e4ee3a4eaec])
591 # End of code from modules
592 m4_ifval(gl_LIBSOURCES_LIST, [
593 m4_syscmd([test ! -d ]m4_defn([gl_LIBSOURCES_DIR])[ ||
594 for gl_file in ]gl_LIBSOURCES_LIST[ ; do
595 if test ! -r ]m4_defn([gl_LIBSOURCES_DIR])[/$gl_file ; then
596 echo "missing file ]m4_defn([gl_LIBSOURCES_DIR])[/$gl_file" >&2
597 exit 1
598 fi
599 done])dnl
600 m4_if(m4_sysval, [0], [],
601 [AC_FATAL([expected source file, required through AC_LIBSOURCES, not found])])
602 ])
603 m4_popdef([gl_LIBSOURCES_DIR])
604 m4_popdef([gl_LIBSOURCES_LIST])
605 m4_popdef([AC_LIBSOURCES])
606 m4_popdef([AC_REPLACE_FUNCS])
607 m4_popdef([AC_LIBOBJ])
608 AC_CONFIG_COMMANDS_PRE([
609 gl_libobjs=
610 gl_ltlibobjs=
611 if test -n "$gl_LIBOBJS"; then
612 # Remove the extension.
613 sed_drop_objext='s/\.o$//;s/\.obj$//'
614 for i in `for i in $gl_LIBOBJS; do echo "$i"; done | sed -e "$sed_drop_objext" | sort | uniq`; do
615 gl_libobjs="$gl_libobjs $i.$ac_objext"
616 gl_ltlibobjs="$gl_ltlibobjs $i.lo"
617 done
618 fi
619 AC_SUBST([gl_LIBOBJS], [$gl_libobjs])
620 AC_SUBST([gl_LTLIBOBJS], [$gl_ltlibobjs])
621 ])
622 gltests_libdeps=
623 gltests_ltlibdeps=
624 m4_pushdef([AC_LIBOBJ], m4_defn([gltests_LIBOBJ]))
625 m4_pushdef([AC_REPLACE_FUNCS], m4_defn([gltests_REPLACE_FUNCS]))
626 m4_pushdef([AC_LIBSOURCES], m4_defn([gltests_LIBSOURCES]))
627 m4_pushdef([gltests_LIBSOURCES_LIST], [])
628 m4_pushdef([gltests_LIBSOURCES_DIR], [])
629 gl_COMMON
630 gl_source_base='tests'
631 changequote(,)dnl
632 gltests_WITNESS=IN_`echo "${PACKAGE-$PACKAGE_TARNAME}" | LC_ALL=C tr abcdefghijklmnopqrstuvwxyz ABCDEFGHIJKLMNOPQRSTUVWXYZ | LC_ALL=C sed -e 's/[^A-Z0-9_]/_/g'`_GNULIB_TESTS
633 changequote([, ])dnl
634 AC_SUBST([gltests_WITNESS])
635 gl_module_indicator_condition=$gltests_WITNESS
636 m4_pushdef([gl_MODULE_INDICATOR_CONDITION], [$gl_module_indicator_condition])
637 m4_pattern_allow([^gl_GNULIB_ENABLED_])
638 m4_popdef([gl_MODULE_INDICATOR_CONDITION])
639 m4_ifval(gltests_LIBSOURCES_LIST, [
640 m4_syscmd([test ! -d ]m4_defn([gltests_LIBSOURCES_DIR])[ ||
641 for gl_file in ]gltests_LIBSOURCES_LIST[ ; do
642 if test ! -r ]m4_defn([gltests_LIBSOURCES_DIR])[/$gl_file ; then
643 echo "missing file ]m4_defn([gltests_LIBSOURCES_DIR])[/$gl_file" >&2
644 exit 1
645 fi
646 done])dnl
647 m4_if(m4_sysval, [0], [],
648 [AC_FATAL([expected source file, required through AC_LIBSOURCES, not found])])
649 ])
650 m4_popdef([gltests_LIBSOURCES_DIR])
651 m4_popdef([gltests_LIBSOURCES_LIST])
652 m4_popdef([AC_LIBSOURCES])
653 m4_popdef([AC_REPLACE_FUNCS])
654 m4_popdef([AC_LIBOBJ])
655 AC_CONFIG_COMMANDS_PRE([
656 gltests_libobjs=
657 gltests_ltlibobjs=
658 if test -n "$gltests_LIBOBJS"; then
659 # Remove the extension.
660 sed_drop_objext='s/\.o$//;s/\.obj$//'
661 for i in `for i in $gltests_LIBOBJS; do echo "$i"; done | sed -e "$sed_drop_objext" | sort | uniq`; do
662 gltests_libobjs="$gltests_libobjs $i.$ac_objext"
663 gltests_ltlibobjs="$gltests_ltlibobjs $i.lo"
664 done
665 fi
666 AC_SUBST([gltests_LIBOBJS], [$gltests_libobjs])
667 AC_SUBST([gltests_LTLIBOBJS], [$gltests_ltlibobjs])
668 ])
669 LIBGNU_LIBDEPS="$gl_libdeps"
670 AC_SUBST([LIBGNU_LIBDEPS])
671 LIBGNU_LTLIBDEPS="$gl_ltlibdeps"
672 AC_SUBST([LIBGNU_LTLIBDEPS])
673 ])
674
675 # Like AC_LIBOBJ, except that the module name goes
676 # into gl_LIBOBJS instead of into LIBOBJS.
677 AC_DEFUN([gl_LIBOBJ], [
678 AS_LITERAL_IF([$1], [gl_LIBSOURCES([$1.c])])dnl
679 gl_LIBOBJS="$gl_LIBOBJS $1.$ac_objext"
680 ])
681
682 # Like AC_REPLACE_FUNCS, except that the module name goes
683 # into gl_LIBOBJS instead of into LIBOBJS.
684 AC_DEFUN([gl_REPLACE_FUNCS], [
685 m4_foreach_w([gl_NAME], [$1], [AC_LIBSOURCES(gl_NAME[.c])])dnl
686 AC_CHECK_FUNCS([$1], , [gl_LIBOBJ($ac_func)])
687 ])
688
689 # Like AC_LIBSOURCES, except the directory where the source file is
690 # expected is derived from the gnulib-tool parameterization,
691 # and alloca is special cased (for the alloca-opt module).
692 # We could also entirely rely on EXTRA_lib..._SOURCES.
693 AC_DEFUN([gl_LIBSOURCES], [
694 m4_foreach([_gl_NAME], [$1], [
695 m4_if(_gl_NAME, [alloca.c], [], [
696 m4_define([gl_LIBSOURCES_DIR], [lib])
697 m4_append([gl_LIBSOURCES_LIST], _gl_NAME, [ ])
698 ])
699 ])
700 ])
701
702 # Like AC_LIBOBJ, except that the module name goes
703 # into gltests_LIBOBJS instead of into LIBOBJS.
704 AC_DEFUN([gltests_LIBOBJ], [
705 AS_LITERAL_IF([$1], [gltests_LIBSOURCES([$1.c])])dnl
706 gltests_LIBOBJS="$gltests_LIBOBJS $1.$ac_objext"
707 ])
708
709 # Like AC_REPLACE_FUNCS, except that the module name goes
710 # into gltests_LIBOBJS instead of into LIBOBJS.
711 AC_DEFUN([gltests_REPLACE_FUNCS], [
712 m4_foreach_w([gl_NAME], [$1], [AC_LIBSOURCES(gl_NAME[.c])])dnl
713 AC_CHECK_FUNCS([$1], , [gltests_LIBOBJ($ac_func)])
714 ])
715
716 # Like AC_LIBSOURCES, except the directory where the source file is
717 # expected is derived from the gnulib-tool parameterization,
718 # and alloca is special cased (for the alloca-opt module).
719 # We could also entirely rely on EXTRA_lib..._SOURCES.
720 AC_DEFUN([gltests_LIBSOURCES], [
721 m4_foreach([_gl_NAME], [$1], [
722 m4_if(_gl_NAME, [alloca.c], [], [
723 m4_define([gltests_LIBSOURCES_DIR], [tests])
724 m4_append([gltests_LIBSOURCES_LIST], _gl_NAME, [ ])
725 ])
726 ])
727 ])
728
729 # This macro records the list of files which have been installed by
730 # gnulib-tool and may be removed by future gnulib-tool invocations.
731 AC_DEFUN([gl_FILE_LIST], [
732 build-aux/snippet/_Noreturn.h
733 build-aux/snippet/arg-nonnull.h
734 build-aux/snippet/c++defs.h
735 build-aux/snippet/warn-on-use.h
736 lib/alloca.in.h
737 lib/allocator.c
738 lib/allocator.h
739 lib/at-func.c
740 lib/c-ctype.c
741 lib/c-ctype.h
742 lib/c-strcase.h
743 lib/c-strcasecmp.c
744 lib/c-strncasecmp.c
745 lib/careadlinkat.c
746 lib/careadlinkat.h
747 lib/close-stream.c
748 lib/close-stream.h
749 lib/dirent.in.h
750 lib/dosname.h
751 lib/dtoastr.c
752 lib/dtotimespec.c
753 lib/dup2.c
754 lib/euidaccess.c
755 lib/execinfo.c
756 lib/execinfo.in.h
757 lib/faccessat.c
758 lib/fcntl.in.h
759 lib/fdatasync.c
760 lib/fdopendir.c
761 lib/filemode.c
762 lib/filemode.h
763 lib/fpending.c
764 lib/fpending.h
765 lib/fstatat.c
766 lib/fsync.c
767 lib/ftoastr.c
768 lib/ftoastr.h
769 lib/getgroups.c
770 lib/getloadavg.c
771 lib/getopt.c
772 lib/getopt.in.h
773 lib/getopt1.c
774 lib/getopt_int.h
775 lib/gettext.h
776 lib/gettime.c
777 lib/gettimeofday.c
778 lib/group-member.c
779 lib/ignore-value.h
780 lib/intprops.h
781 lib/inttypes.in.h
782 lib/lstat.c
783 lib/md5.c
784 lib/md5.h
785 lib/memrchr.c
786 lib/mktime-internal.h
787 lib/mktime.c
788 lib/openat-priv.h
789 lib/openat-proc.c
790 lib/openat.h
791 lib/pathmax.h
792 lib/pselect.c
793 lib/pthread_sigmask.c
794 lib/putenv.c
795 lib/readlink.c
796 lib/readlinkat.c
797 lib/root-uid.h
798 lib/sha1.c
799 lib/sha1.h
800 lib/sha256.c
801 lib/sha256.h
802 lib/sha512.c
803 lib/sha512.h
804 lib/sig2str.c
805 lib/sig2str.h
806 lib/signal.in.h
807 lib/stat-time.c
808 lib/stat-time.h
809 lib/stat.c
810 lib/stdalign.in.h
811 lib/stdarg.in.h
812 lib/stdbool.in.h
813 lib/stddef.in.h
814 lib/stdint.in.h
815 lib/stdio.in.h
816 lib/stdlib.in.h
817 lib/strftime.c
818 lib/strftime.h
819 lib/string.in.h
820 lib/strtoimax.c
821 lib/strtol.c
822 lib/strtoll.c
823 lib/strtoul.c
824 lib/strtoull.c
825 lib/strtoumax.c
826 lib/symlink.c
827 lib/sys_select.in.h
828 lib/sys_stat.in.h
829 lib/sys_time.in.h
830 lib/time.in.h
831 lib/time_r.c
832 lib/timespec-add.c
833 lib/timespec-sub.c
834 lib/timespec.c
835 lib/timespec.h
836 lib/u64.c
837 lib/u64.h
838 lib/unistd.c
839 lib/unistd.in.h
840 lib/unsetenv.c
841 lib/utimens.c
842 lib/utimens.h
843 lib/verify.h
844 lib/xalloc-oversized.h
845 m4/00gnulib.m4
846 m4/alloca.m4
847 m4/c-strtod.m4
848 m4/clock_time.m4
849 m4/close-stream.m4
850 m4/dirent_h.m4
851 m4/dup2.m4
852 m4/environ.m4
853 m4/euidaccess.m4
854 m4/execinfo.m4
855 m4/extensions.m4
856 m4/extern-inline.m4
857 m4/faccessat.m4
858 m4/fcntl-o.m4
859 m4/fcntl_h.m4
860 m4/fdatasync.m4
861 m4/fdopendir.m4
862 m4/filemode.m4
863 m4/fpending.m4
864 m4/fstatat.m4
865 m4/fsync.m4
866 m4/getgroups.m4
867 m4/getloadavg.m4
868 m4/getopt.m4
869 m4/gettime.m4
870 m4/gettimeofday.m4
871 m4/gnulib-common.m4
872 m4/group-member.m4
873 m4/include_next.m4
874 m4/inttypes.m4
875 m4/largefile.m4
876 m4/longlong.m4
877 m4/lstat.m4
878 m4/manywarnings.m4
879 m4/md5.m4
880 m4/memrchr.m4
881 m4/mktime.m4
882 m4/multiarch.m4
883 m4/nocrash.m4
884 m4/off_t.m4
885 m4/pathmax.m4
886 m4/pselect.m4
887 m4/pthread_sigmask.m4
888 m4/putenv.m4
889 m4/readlink.m4
890 m4/readlinkat.m4
891 m4/setenv.m4
892 m4/sha1.m4
893 m4/sha256.m4
894 m4/sha512.m4
895 m4/sig2str.m4
896 m4/signal_h.m4
897 m4/socklen.m4
898 m4/ssize_t.m4
899 m4/st_dm_mode.m4
900 m4/stat-time.m4
901 m4/stat.m4
902 m4/stdalign.m4
903 m4/stdarg.m4
904 m4/stdbool.m4
905 m4/stddef_h.m4
906 m4/stdint.m4
907 m4/stdio_h.m4
908 m4/stdlib_h.m4
909 m4/strftime.m4
910 m4/string_h.m4
911 m4/strtoimax.m4
912 m4/strtoll.m4
913 m4/strtoull.m4
914 m4/strtoumax.m4
915 m4/symlink.m4
916 m4/sys_select_h.m4
917 m4/sys_socket_h.m4
918 m4/sys_stat_h.m4
919 m4/sys_time_h.m4
920 m4/time_h.m4
921 m4/time_r.m4
922 m4/timer_time.m4
923 m4/timespec.m4
924 m4/tm_gmtoff.m4
925 m4/unistd_h.m4
926 m4/utimbuf.m4
927 m4/utimens.m4
928 m4/utimes.m4
929 m4/warn-on-use.m4
930 m4/warnings.m4
931 m4/wchar_t.m4
932 ])